Bug 17435 - Gives ability to display stocknumber in the search results
Summary: Gives ability to display stocknumber in the search results
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Koha Team Lyon 3
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 14:28 UTC by Koha Team Lyon 3
Modified: 2016-11-02 18:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
bug 17435: Gives ability to display stocknumber in the search results (1.28 KB, patch)
2016-10-12 14:33 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17435: Gives ability to display stocknumber in search results (2.10 KB, patch)
2016-10-15 15:13 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17435: Gives ability to display stocknumber in search results (2.15 KB, patch)
2016-10-24 11:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2016-10-12 14:28:48 UTC
Some library may have desire to display stocknumber directly in the search results as it's already done by default for itemcallnumber.
This patch added stocknumber to data provided for xslt transformation.
Then, it becomes possible to show it on the catalog (opac or staff) and the way to realize this (or not) may be customized through xslt results file according to library needs.

As the xslt files must be modified, the test implies access to these files. 

Test plan :
1) go to Administration module, MARC default frameworks and add, if not already done, a stocknumber subfield (a priori under the 995 tag). It will be linked to items.stocknumber in the koha.link zone of Advanced constraints section.
2) edit an item in staff interface and add a number in the stocknumber field.
3) Edit the xslt opac Results file that you are using and customize it. For a basic test, you can just replace "itemcallnumber" occurrences by "stocknumber".
4) make a search in a way to get several results including the title from which you modified an item.
5) You will see the added stocknumber displayed (between square brackets in the default xslt).

Same can be done through staff interface and staff xslt files.

Olivier Crouzet
Comment 1 Koha Team Lyon 3 2016-10-12 14:33:59 UTC
Created attachment 56294 [details] [review]
bug 17435: Gives ability to display stocknumber in the search results
Comment 2 Héctor Eduardo Castro Avalos 2016-10-15 15:13:58 UTC
Created attachment 56565 [details] [review]
[SIGNED-OFF]Bug 17435: Gives ability to display stocknumber in search results

Adds stocknumber to data provided for xslt transformation

Test plan :
1) go to Administration module, MARC default frameworks and add, if not already done, a stocknumber subfield (a priori under the 995 tag). It will be linked to items.stocknumber in the koha.link zone of Advanced constraints section.
2) edit an item in staff interface and add a number in the stocknumber field.
3) Edit the xslt opac Results file that you are using and customize it. For a basic test, you can just replace "itemcallnumber" occurrences by "stocknumber".
4) make a search in a way to get several results including the title from which you modified an item.
5) You will see the added stocknumber displayed (between square brackets in the default xslt).

Same can be done through staff interface and staff xslt files.

Olivier Crouzet

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Comment 3 Katrin Fischer 2016-10-24 11:50:22 UTC
Created attachment 56744 [details] [review]
[PASSED QA] Bug 17435: Gives ability to display stocknumber in search results

Adds stocknumber to data provided for xslt transformation

Test plan :
1) go to Administration module, MARC default frameworks and add, if not already done, a stocknumber subfield (a priori under the 995 tag). It will be linked to items.stocknumber in the koha.link zone of Advanced constraints section.
2) edit an item in staff interface and add a number in the stocknumber field.
3) Edit the xslt opac Results file that you are using and customize it. For a basic test, you can just replace "itemcallnumber" occurrences by "stocknumber".
4) make a search in a way to get several results including the title from which you modified an item.
5) You will see the added stocknumber displayed (between square brackets in the default xslt).

Same can be done through staff interface and staff xslt files.

Olivier Crouzet

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-10-28 11:50:03 UTC
Pushed to master for 16.11, thanks Olivier!
Comment 5 Frédéric Demians 2016-11-02 18:21:21 UTC
Pushed in 16.05. Will be in 16.05.06.